<?php

$settings = $this->getSettings();

?>
<style type="text/css">
	#wrap { width: 700px; }
	#wrap code { margin: 0; padding: 0; }
	#twitter_admin_form #twitter_admin_table { width: 700px; }
	#twitter_admin_form #twitter_admin_table td { display: block; margin: 5px 10px; padding: 20px; border: 1px solid #ddd; background-color: #f8f8f8; }
	#twitter_admin_form #twitter_admin_table small td { display: table-cell; vertical-align: top; }
	#twitter_admin_form #twitter_admin_table h3 { margin: 0; }
	#redirect-url { width: 500px; }
	.wp-paginator-css { width: 100%; height: 300px; }
	.message { padding: 0 10px; border: 1px solid #1b1b1b; background: #ccc; }
	.success { border-color: #445026; background: #c4e0b4; }
	.error { border-color: #a62d38; background: #f0d6d6; }
	
</style>
<div id="wrap" class="wrap">
	<div class="icon32" id="icon-options-general"><br/></div>
	<h2><?php _e('WP Twitter Tweets Settings'); ?></h2>
	<?php if ($this->settingsSaved == true) { ?>
	<div id="twitter_success_message" class="message success"><p style="font-weight:bold;font-size:120%;color:green;"><?php _e('Options Updated Successfully'); ?></p></div>
	<?php } ?>
	<?php if ($this->errormessage != null) { ?>
	<div id="twitter_error_message" class="message error"><p style="font-weight:bold;font-size:120%;color:red;"><?php echo $this->errormessage; ?></p></div>
	<?php } ?>

	<form id="twitter_admin_form" method="post" action="">
	
		<div id="poststuff" class="form-table">
		<div class="postbox">
		<h3><span><?php _e('General Settings'); ?></span></h3>		
		<div class="inside">

			<h4><label for="twitter_user_name"><?php _e('Twitter User Name'); ?></label></h4>
			<p>
			<input type="text" class="regular-text ltr" name="twitter_user_name" value="<?php if ($settings['twitter_user_name']) { echo $settings['twitter_user_name']; } ?>">
			</p>
					
			<h4><label for="twitter_consumer_key"><?php _e('Twitter Consumer Key'); ?></label></h4>
			<p>
			<input type="text" class="regular-text ltr" name="twitter_consumer_key" value="<?php if ($settings['twitter_consumer_key']) { echo $settings['twitter_consumer_key']; } ?>">
			</p>
			
			<h4><label for="twitter_consumer_secret"><?php _e('Twitter Consumer Secret'); ?></label></h4>
			<p>
			<input type="text" class="regular-text ltr" name="twitter_consumer_secret" value="<?php if ($settings['twitter_consumer_secret']) { echo $settings['twitter_consumer_secret']; } ?>">
			</p>
			
			<h4><label for="oauth_access_token"><?php _e('Oauth Access Token'); ?></label></h4>
			<p>
			<input type="text" class="regular-text ltr" name="oauth_access_token" value="<?php if ($settings['oauth_access_token']) { echo $settings['oauth_access_token']; } ?>">
			</p>
			
			<h4><label for="oauth_access_token_secret"><?php _e('Oauth Access Token Secret'); ?></label></h4>
			<p>
			<input type="text" class="regular-text ltr" name="oauth_access_token_secret" value="<?php if ($settings['oauth_access_token_secret']) { echo $settings['oauth_access_token_secret']; } ?>">
			</p>
			
			<h4><label for="max_fetch_count"><?php _e('Number of Tweets to Fetch - default 3200'); ?></label></h4>
			<p>
			<input type="text" class="regular-text ltr" name="max_fetch_count" value="<?php if ($settings['max_fetch_count']) { echo $settings['max_fetch_count']; } ?>">
			</p>
					
					
		</div>
		</div>
		</div>															
			
		<p class="submit">
			<?php wp_nonce_field('save-wp-twitter-tweets-settings'); ?>
			<input type="submit" name="save-wp-twitter-tweets-settings" id="save-wp-twitter-tweets-settings" value="<?php _e('Save Settings'); ?>" />
		</p>
	</form>
</div>